<span style="display:none;">{{head-title 'Helpbuttons - Búsqueda de Botones' ''}}</span>
{{info-overlay searchTrendingTags=searchTrendingTags buttonNet=buttonNet}}
{{#if showOnlyCreate}}
  {{!-- Show Only home page --}}
  {{#if isShowingMenuModal}}
    {{menu-component
      isSmallDevice=isSmallDevice
      isShowingMenuModal=isShowingMenuModal
      contextTransition=contextTransition
      classNames="menu-component bg-primary"
      searchTrendingTags=searchTrendingTags
      hideWelcome=hideWelcome
    }}
  {{else}}
    {{home-welcome-mobile
      contextTransition=contextTransition
      isShowingMenuModal=isShowingMenuModal
      searchTrendingTags=searchTrendingTags
      isShowingCreateNetModal=isShowingCreateNetModal
      searchZoneAddress=searchZoneAddress
      searchAction=(action 'searchByAddress')
      loading=loading
      buttonNet=buttonNet
    }}
    {{#if loading}}
       {{loading-overlay showOverlay=loading class="col-12 text-center loading-overlay__load-over-map"}}
    {{/if}}
  {{/if}}
{{else}}
  {{!-- Show home page & buttons list/map -   INSIDE HERE AN GO FIXED NAV BAR--}}
  <div class="bg-primary index__mobile-fixed">
    {{!-- Header --}}
    {{component-header
      currentUser=currentUser
      searchAction=(action 'searchByAddress')
      isShowingModal=isShowingModal
      toggleSelectedTagAction=(action 'toggleSelectedTag')
      hideWelcome=hideWelcome
      loading=loading
      isIndexRoute=true
      contextTransition=contextTransition
      isShowingCreateNetModal=isShowingCreateNetModal
      searchTrendingTags=searchTrendingTags
      loginTransition=(action 'loginTransition')
      showDatePicker=showDatePicker
      inputDate=inputDate
      buttonNet=buttonNet
    }}

    {{#search-topbar
      resultsNumber=buttonsToShow.length
    }}
      {{#each selectedTags as |tag|}}
        <span class="hashtag hashtag--white">
          #{{tag.name}}
          <a class="mx-1" href="#" {{action 'toggleSelectedTag' tag}} title="Eliminar">{{svg-jar "cross"}}</a>
        </span>
      {{/each}}
      {{#if selectedTags}}
        <span class="hashtag index__subscribe">
          <button class="" {{action 'addInterest'}}>
            Subscribirme
          </button>
        </span>
      {{/if}}
    {{/search-topbar}}
    {{!-- Filtros --}}
    {{buttons-filters
      buttons=buttons
      buttonsFiltered=buttonsFiltered
      selectedTags=selectedTags
      searchAction=(action 'searchByAddress')
      updateSelectedTagsAction=(action 'updateSelectedTags')
      toggleSelectedTagAction=(action 'toggleSelectedTag')
      isShowingModal=isShowingModal
      localizeUser=(action 'localizeUser')
      isMapRoute=isMapRoute
      userMarker=userMarker
      offerFilter=offerFilter
      needFilter=needFilter
      showDatePicker=showDatePicker
      searchTrendingTags=searchTrendingTags
      showAddressSearch=true
      reduceZoom=(action 'reduceZoom')
      zoomMax=zoomMax
      id="buttonsFiltersId"
      isIndexRoute=true
      inputDate=inputDate
    }}
  </div>
  <div style={{unless isMapRoute  asideBodyStyles}} class="container index__container">
    <div class="row">
      {{#unless isSmallDevice}}
        <div style={{asideStyles}} class="px-0 col-4 index__aside-info {{if isMapRoute 'index__aside-info--overflow' 'index__aside-info--list'}}">
          {{home-welcome isShowingCreateNetModal=isShowingCreateNetModal searchTrendingTags=searchTrendingTags searchZoneAddress=searchZoneAddress searchAction=(action 'searchByAddress')}}
        </div>
      {{/unless}}
      {{#if loading}}
         {{loading-overlay showOverlay=loading class="col-12 text-center loading-overlay__load-over-map"}}
      {{/if}}
      {{outlet}}
    </div>
  </div>
{{/if}}
